<?php

class Events_Elementor_Widget extends \Elementor\Widget_Base
{

    public function get_name()
    {
        return 'event';
    }

    public function get_title()
    {
        return __('Event', 'event');
    }

    public function get_icon()
    {
        return 'fa fa-calendar';
    }

    public function get_categories()
    {
        return ['general'];
    }

    public function render()
    {
        $args = array(
            'post_type' => 'event',
            'posts_per_page' => -1,
            'meta_query' => array(
                array(
                    'key' => 'date_meta',
                    'value' => date('Y-m-d'), // Today's date
                    'compare' => '>=',
                    'type' => 'DATE',
                ),
            ),
            'orderby' => 'meta_value',
            'order' => 'ASC',
        );

        $event_query = new \WP_Query($args);

        echo '<div class="elementor-widget-container events-container">';

        if ($event_query->have_posts()) {
            while ($event_query->have_posts()) {
                $event_query->the_post();

                echo '<div class="elementor-image-box-wrapper events-image-box-wrapper">';

                // Display the featured image
                if (has_post_thumbnail()) {
                    echo '<figure class="elementor-image-box-img events-image-box">' . get_the_post_thumbnail();
                }
                echo '</figure>';

                echo  '<div class="elementor-image-box-content events-box-content">';
                // Display the date
                $date_meta = get_post_meta(get_the_ID(), 'date_meta', true);
                echo '<h4 class="elementor-image-box-title events-date">' . date('d-m-Y', strtotime($date_meta)) . '</h4>';

                // Display the title
                echo '<h5 class="elementor-image-box-title events-title">' . get_the_title() . '</h5>';

                // Display the content
                echo '<p class="elementor-image-box-description events-content">' . get_the_content() . '</p>';

                echo '</div>';
                echo '</div>';
            }
            /* Restore original Post Data */
            wp_reset_postdata();
        }
        echo '</div>';
    }
}
